import { TravelDataSource } from "../../domain/datasources/travel_datasource";
import { TravelDetails } from "../../domain/entities/travel_details";
import { TravelHistory } from "../../domain/entities/travel_history";
import { TravelRepository } from "../../domain/repositories/travel_repository";

export class TravelRepositoryImpl implements TravelRepository {
    private travelDataSource: TravelDataSource;

    constructor(travelDataSource: TravelDataSource) {
        this.travelDataSource = travelDataSource;
    }
    async getVisitImage(id: number): Promise<string> {
        return this.travelDataSource.getVisitImage(id);
    }
    async getTravelDetails(id: number): Promise<TravelDetails> {
        return this.travelDataSource.getTravelDetails(id);
    }

    async getTravelHistory(): Promise<TravelHistory> {
        return this.travelDataSource.getTravelHistory();
    }
}